package MyApp::Schema::Result::Artist;
use base qw/DBIx::Class::Core/;

__PACKAGE__->table('artist');
__PACKAGE__->add_columns(qw/ artistid name /);
__PACKAGE__->set_primary_key('artistid');
__PACKAGE__->has_many(cds => 'MyApp::Schema::Result::CD', 'artistid');
__PACKAGE__->has_many(the_wall_cds => 'MyApp::Schema::Result::CD',
  sub {
    my $args = shift;
    return {
      "$args->{foreign_alias}.artistid" => { -ident => "$args->{self_alias}.artistid" },
      "$args->{foreign_alias}.title" => "The Wall",
    };
  }
);

1;


